# CallChain Class Reference
[Common wrapper and helper classes]

List of all members.

## Public Member Functions

| add ($object)
| call ($method, $args=null)
| __call ($method, $args=null)

## Static Public Member Functions

static | create ()

## Private Attributes

| $chain = array()

## Detailed Description

Definition at line 15 of file CallChain.class.php.

## Member Function Documentation

CallChain::__call | ( | $ | method,
|  | $ | args = `null` |
| ) |  |  |

Definition at line 62 of file CallChain.class.php.

References $args.

CallChain::add | ( | $ | object | ) |

Returns:
  CallChain

Definition at line 30 of file CallChain.class.php.

CallChain::call | ( | $ | method,
|  | $ | args = `null` |
| ) |  |  |

Definition at line 37 of file CallChain.class.php.

References $args.

static CallChain::create | ( |  | ) | `[static]`

Returns:
  CallChain

Definition at line 22 of file CallChain.class.php.

## Member Data Documentation

CallChain::$chain = array()`[private]`

Definition at line 17 of file CallChain.class.php.

The documentation for this class was generated from the following file:

- main/Base/CallChain.class.php